package f3.instantiate;

import f3.scrabble.Position;
import f3.scrabble.Tile;

/**
 * Instantiation of objects, using our new
 * reference types and overloaded constructors
 * @author hajo
 */
public class Instantiate {
    
    
    public static void main(String[] args) {
        //Intantiate two tiles using different contructors
        Tile t1 = new Tile( Tile.ARROW_DOWN );
        Tile t2 = new Tile("A", 1);
        
        System.out.println( t1 == t2); 
        System.out.println( t1.getPoints());
        System.out.println( t2.getPoints());
        
        //Intantiate a few positions using different contructors
        Position p1 = new Position(0, 1, t2, Position.Bonus.DL );
        Position p2 = new Position(0, 1, t2 );
        
        System.out.println( p1 == p2);
        System.out.println( p1.getTile() == p2.getTile()); 
        
    }
}
